<?php
namespace PME\Controllers\Servico;

use Zeedhi\Framework\Report\ReportService;
use Zeedhi\Framework\DTO;

class SubstituicaoDeProdutosController extends \Zeedhi\Framework\Controller\Report {

    protected $birtStrategy;
    protected $utilities;

    public function __construct(ReportService $reportService, $birtStrategy, $utilities) {
      $this->birtStrategy  = $birtStrategy;
      $this->utilities     = $utilities;

      parent::__construct($reportService);
    }

    protected $reportMapping = array (
      'PMEL0700' => 
        array (
            'strategy' => 'BIRT',
            'parameterMapping' => 
            array (
              "DTDE"         => "P_DTINICIAL",
              "DTATE"        => "P_DTFINAL",
              "ORIGEM"       => "P_CDPRODORISUB",
              "DESTINO"      => "P_CDPRODDESSUB",
              "OPERADOR"     => "P_CDOPERADOR",
              "PRODUCTMASK"  => "P_PRODUCTMASK",
              "NRORG"        => "P_NRORG",
              "CDFILCENTPME" => "P_CDFILCENTPME",
            )
        )
    );
    
    public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response) {
      $row = $request->getRow();
      $nrorg = $this->utilities->getNrOrg();

      if(empty($row['OPERADOR'])) $row['OPERADOR'] = 'T';
      else if(is_array($row['OPERADOR'])) {
        $listaOperadores = '';
        
        foreach($row['OPERADOR'] as $operador) {
            $listaOperadores .= $operador['CDOPERADOR'].'_';
        }
        $row['OPERADOR'] = substr($listaOperadores, 0, -1);
      }

      if(empty($row['ORIGEM'])) $row['ORIGEM'] = 'T';
      
      if(empty($row['DESTINO'])) $row['DESTINO'] = 'T';
      
      $row['NRORG'] = $nrorg;
      
      $this->birtStrategy->setReportLocale($this->utilities->getLanguage());
      $this->birtStrategy->setReportFormat(strtolower($row['reportFormat']));
    }
}