/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_TCTR                                                     */ 
/* Tabela : TIPOCTRECEBER                                                     */ 
/*                                                                            */
/* Criao:                                                                   */
/* 23/09/2004 - Wander alex                                                   */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_TCTR
BEFORE INSERT OR UPDATE OR DELETE
ON TIPOCTRECEBER FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUTCTR  := SYSDATE;   
   END IF;                    
   IF UPDATING THEN   
      IF (NVL(:OLD.CDTPCTRECEB,0)   <> NVL(:NEW.CDTPCTRECEB,0)) OR           
         (NVL(:OLD.CDCLASSFINA,0)   <> NVL(:NEW.CDCLASSFINA,0)) OR
         (NVL(:OLD.CDCONTCTBL,0)    <> NVL(:NEW.CDCONTCTBL,0)) OR   
         (NVL(:OLD.IDCTBLCTREC,0)   <> NVL(:NEW.IDCTBLCTREC,0)) OR
         (NVL(:OLD.IDTPCTRECEBER,0) <> NVL(:NEW.IDTPCTRECEBER,0)) THEN
         :NEW.DTULTATUTCTR := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN

      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('TIPOCTRECEBER', '','CDTPCTRECEB ='||:OLD.CDTPCTRECEB||';', SYSDATE);
   END IF;
END;
/
ALTER TABLE TIPOCTRECEBER MODIFY DTULTATUTCTR DEFAULT SYSDATE
/
